//
// C++ Implementation: midiinputevent
//
// Description: 
//
//
// Author: Predrag Viceic <viceic@net2000.ch>, (C) 2005
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "midiinputevent.h"

MidiInputEvent::MidiInputEvent(int oo, int n, int v)
 : QCustomEvent(MIDI_INPUT_EVENT)
{
    onoff=oo;
    note=n;
    velocity=v;
}


MidiInputEvent::~MidiInputEvent()
{
}




/*!
    \fn MidiInputEvent::getNote()
 */
int MidiInputEvent::getNote()
{
    return note;
}


/*!
    \fn MidiInputEvent::getVelocity()
 */
int MidiInputEvent::getVelocity()
{
    return velocity;
}

/*!
    \fn MidiInputEvent::getOnOff()
 */
int MidiInputEvent::getOnOff()
{
    return onoff;
}


